/* Title: Creating a Class - Additional Methods
 * 
 * In this example we will build a simple class. We'll create 
 * a method to perform additional actions which a class object
 * might need to undertake.
 */
public class Example04 {
    private String firstName;
    private String lastName;
    private int age;

    public Example04() {
        this.firstName = "unknown";
        this.lastName = "unknown";
        this.age = 0;  // age set to zero because it is unknown
    }

    public Example04(String firstName, String lastName) {
        this();
        this.firstName = firstName;
        this.lastName = lastName;
    }

    public Example04(String firstName, String lastName, int age) {
        this(firstName, lastName);
        this.age = age;
    }

    public String getFirstName() {
        return this.firstName;
    }

    public void setFirstName(String firstName) {
        firstName = firstName.strip();
        if(firstName != "") {
            this.firstName = firstName;
        }
    }

    public String getLastName() {
        return this.lastName;
    }

    public void setLastName(String lastName) {
        lastName = lastName.strip();
        if(lastName != "") {
            this.lastName = lastName;
        }
    }

    public int getAge() {
        return this.age;
    }

    public void setAge(int age) {
        if(age >=0) {
            this.age = age;
        }
    }
}
